Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class BeginMarkedContent

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ContentMarker
                  org.pdfclown.documents.contents.objects.BeginMarkedContent

All Implemented Interfaces:
  IResourceReference<PropertyList>

    @PDF(value=PDF12)
    public final class BeginMarkedContent

extends ContentMarker

'Begin marked-content sequence' operation [PDF:1.6:10.5].

Since:
  0.0.7
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `PropertyListOperator`
`static String` | `SimpleOperator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`BeginMarkedContent(PdfName tag)`
`BeginMarkedContent(PdfName tag, PdfDirectObject properties)`

Method Summary
`protected String` | `getPropertyListOperator()`
`protected String` | `getSimpleOperator()`

Methods inherited from class org.pdfclown.documents.contents.objects.ContentMarker
`getName, getProperties, getProperties, getResource, getTag, setName, setProperties, setTag`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class org.pdfclown.documents.contents.objects.ContentObject
`scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PropertyListOperator

    public static final String PropertyListOperator

See Also:
  Constant Field Values

### SimpleOperator

    public static final String SimpleOperator

See Also:
  Constant Field Values

Constructor Detail

### BeginMarkedContent

    public BeginMarkedContent(PdfName tag)

### BeginMarkedContent

    public BeginMarkedContent(PdfName tag,
                              PdfDirectObject properties)

Method Detail

### getPropertyListOperator

    protected String getPropertyListOperator()

  Specified by:
    `getPropertyListOperator` in class `ContentMarker`

### getSimpleOperator

    protected String getSimpleOperator()

  Specified by:
    `getSimpleOperator` in class `ContentMarker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.